/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         /* Cantidad de combobox para la actividad, editar su valor si la actividad lo requiere 
         Ej: TotalComboBox = 10;   Se crearan 10 combobox en la composición	
         */
         
         TotalComboBox=6;
         //TAMAÑO DE LA FUENTE
         tamano = "24px";
         colorini = "#000000";
         //Set variables de color
         largo = "250px";
         altura = "35px";
         titulo = "Selecciona";
         /* 
         	En este bloque de código se agregan las respuestas según lo indique la actividad.
         	Para agregar mas respuestas en el combobox se tiene en cuenta el formato :
         	    "<option value='4'>Respuesta adicional</option>"
         	Si se agrega al final de las otras respuestas, no lleva coma (,) al terminar
         	y se debe incrementar en uno el valor (value) de la opción o respuesta nueva.
         */
          var select_1 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Total de volantes</option>",
         					"<option value='2'>Volantes repartidos en el sur y del norte</option>"];
         					sym.setVariable("seleccionar_1", select_1);
         var select_2 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>suma</option>",
         					"<option value='2'>resta</option>"];
         					sym.setVariable("seleccionar_2", select_2);
         var select_3 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Mayor</option>",
         					"<option value='2'>Menor</option>"];
         					sym.setVariable("seleccionar_3", select_3);
         var select_4 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Total de volantes</option>",
         					"<option value='2'>Volantes repartidos en el sur</option>"];
         					sym.setVariable("seleccionar_4", select_4);
         var select_5 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>3175</option>",
         					"<option value='2'>5253</option>"];
         					sym.setVariable("seleccionar_5", select_5);
         var select_6 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>aumenta</option>",
         					"<option value='2'>disminuye</option>"];
         					sym.setVariable("seleccionar_6", select_6);
         var select_7 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Opción1</option>",
         					"<option value='2'>Opción2</option>",
         					"<option value='3'>Opción3</option>",
         					"<option value='4'>Opción4</option>"];
         					sym.setVariable("seleccionar_7", select_7);
         var select_8 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Opción1</option>",
         					"<option value='2'>Opción2</option>",
         					"<option value='3'>Opción3</option>",
         					"<option value='4'>Opción4</option>",
         					"<option value='5'>Opción5.......................</option>"];
         					sym.setVariable("seleccionar_8", select_8);
         var select_9 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Opción1</option>",
         					"<option value='2'>Opción2</option>",
         					"<option value='3'>Opción3</option>",
         					"<option value='4'>Opción4</option>"];
         					sym.setVariable("seleccionar_9", select_9);
         var select_10 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Opción1</option>",
         					"<option value='2'>Opción2</option>",
         					"<option value='3'>Opción3</option>",
         					"<option value='4'>Opción4</option>"];
         					sym.setVariable("seleccionar_10", select_10);	
         //RESPUESTAS CORRECTAS
         sym.setVariable("Respuesta_1", "2");
         sym.setVariable("Respuesta_2", "1");
         sym.setVariable("Respuesta_3", "1");
         sym.setVariable("Respuesta_4", "1");
         sym.setVariable("Respuesta_5", "2");
         sym.setVariable("Respuesta_6", "1");
         sym.setVariable("Respuesta_7", "1");
         sym.setVariable("Respuesta_8", "1");
         sym.setVariable("Respuesta_9", "1");
         sym.setVariable("Respuesta_10","1");
         

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${_MG3U1L2030101_icon}", "click", function(sym, e) {
         sym.$("calc").show();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'bt_validar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar_1");
   //Edge symbol end:'bt_validar_1'

   //=========================================================
   
   //Edge symbol: 'bt_solucion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion_1");
   //Edge symbol end:'bt_solucion_1'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar_1");
   //Edge symbol end:'bt_reiniciar_1'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda_1");
   //Edge symbol end:'bt_ayuda_1'

   //=========================================================
   
   //Edge symbol: 'calc'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_resultadoCopy}", "click", function(sym, e) {
         Numero1 = "";
         
         var AD1=0,AD2=0,AD3=0,AD4=0,AD5=0,AD6=0;
         var AD1 = $("#texto_1").val();
         var AD2 = $("#texto_2").val();
         var AD3 = $("#texto_3").val();
         var AD4 = $("#texto_4").val();
         var AD5 = $("#texto_5").val();
         var AD6 = $("#texto_6").val();
         
         var BD1=0,BD2=0,BD3=0,BD4=0,BD5=0,BD6=0;
         var BD1 = $("#texto_7").val();
         var BD2 = $("#texto_8").val();
         var BD3 = $("#texto_9").val();
         var BD4 = $("#texto_10").val();
         var BD5 = $("#texto_11").val();
         var BD6 = $("#texto_12").val();
         
         
         NumeroA = AD1+""+AD2+""+AD3+""+AD4+""+AD5+""+AD6;
         NumeroB = BD1+""+BD2+""+BD3+""+BD4+""+BD5+""+BD6;
         
         NumeroA = parseInt(NumeroA);
         NumeroB = parseInt(NumeroB);
         Resultado = "";
         $("#Stage_calc_Toperacion").css("font-size","46px");
         $("#Stage_calc_Toperacion").html(operacionCalc);
         
         if(operacionCalc == "suma"){
         	Resultado = NumeroA + NumeroB;
         }
         if(operacionCalc == "resta"){
         	Resultado = NumeroA - NumeroB;
         }
         if(operacionCalc == ""){
         	$("#Stage_calc_Toperacion").html("Selecciona la operación");
         }
         
         if(isNaN(Resultado)) {
         	$("#Stage_calc_Toperacion").css("font-size","26px");
         	$("#Stage_calc_Toperacion").html("Falta digitar uno de los numeros");
         }else{
         	if(Resultado<0){
         		$("#Stage_calc_Toperacion").css("font-size","26px");
         		$("#Stage_calc_Toperacion").html("El primer valor debe ser mayor que el segundo");
         	} 
         	else{		
         		Resultado = ""+Resultado;
         		var ResultadoOp = Resultado.split("");
         		var j=19;
         		for(var i=ResultadoOp.length-1;i>=0;i--){			
         			$("#texto_"+j).val(ResultadoOp[i]);
         			j--;
         		}			
         	}
         }
         
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_restaCopy}", "click", function(sym, e) {
         operacionCalc = "resta";
         
         $("#Stage_calc_Toperacion").css("font-size","46px");
         $("#Stage_calc_Toperacion").html("resta");
         for(var i=13;i<=19;i++){
         	$("#texto_"+i).val("");
         }		

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_sumaCopy}", "click", function(sym, e) {
         operacionCalc = "suma";
         
         $("#Stage_calc_Toperacion").css("font-size","46px");
         $("#Stage_calc_Toperacion").html("suma");
         for(var i=13;i<=19;i++){
         	$("#texto_"+i).val("");
         }	

      });
      //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
          transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
         		  eliminarEspacios = false; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
         		  //Total de inputs       
                 TotalInput = 20;
         
                 operacionCalc = "";
                 //Para filtrar se pueden usar las siguientes variables:
              /* 
             'int':     /[\d]/,
             'float':     /[\d\.]/,
             'money':    /[\d\.\s,]/,
             'num':      /[\d\-\.]/,
             'hex':      /[0-9a-f]/i,
             'email':    /[a-z0-9_\.\-@]/i,
             'alpha':    /[a-zA-Z_ ]/i,
             'alphaupper': /[A-Z_ ]/i,
             'alphanum': /[a-z0-9_]/i,
             'alphanumlower':/[a-z0-9_]/,
             'alphanumupper':/[a-z0-9_]/,	
             'alphaspace':    /[a-z ]/i,
             'alphanumspace': /[a-z0-9_ ]/i,
             'alphanumspacelower':/[a-z0-9_ ],
             'mathsym':'[+-=\/*]/,
             'alphaacent':'[a-zA-Z_áéíóúü ]',
             'alphanumacent':'[a-z0-9_.áéíóúü ]'
         		*/
         
         /*
                 	sym.setVariable("border", "2px double #cccccc");		// Modifica el borde del input
         			sym.setVariable("fondo", "rgba(255,255,255,0.5)");		// Modifica el color de fondo del input
         			sym.setVariable("colorini", "#666666");					// Editar el color de la letra 
         			sym.setVariable("colorok", "#666666");
         			sym.setVariable("fondook","rgba(169,194,88,0.80)");
         			sym.setVariable("colorbad", "#ffffff");
         			sym.setVariable("fondobad", "#f3716c");
         			sym.setVariable("fontsize", "46px");						// Editar el tamaño de fuente
         			sym.setVariable("fontFamily", "Cabin");					//	Editar el tipo de fuente
         			sym.setVariable("fontStyle", "normal");				
         			sym.setVariable("fontweight", "bold");
         			sym.setVariable("height", "auto");
         			sym.setVariable("border-radius", "5px");
         			sym.setVariable("alineacionTexto", "center");			// Editar la alineación del texto en el input
         */
         
         			sym.setVariable("fontsizeInput", "46px");
         
         			$(".resultado").css("pointer-events","none");
         
         			$('[id^="Stage_calc_Input_"]').keyup(function() {  
         				for(var i=13;i<=19;i++){
         					$("#texto_"+i).val("");
         				}												
           				var idInput=$(this).attr("id").slice(17);
           				var nextInput=parseInt(idInput)+1;
           				var valorInput = $("#texto_"+idInput).val();  				
           				if(valorInput.length>0 && idInput<12){
           					$("#texto_"+nextInput).focus();
           				}
         			});

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_close}", "click", function(sym, e) {
         // insert code for mouse click here
         sym.$("#Stage_calc").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_reiniciarCalc}", "click", function(sym, e) {
         $("#Stage_calc_Toperacion").css("font-size","46px");
         $("#Stage_calc_Toperacion").html("_");
         
         
         for(i=1; i<=TotalInput; i++){
         	sym.$("#Stage_calc_Input_"+i).children("input").each(function(){
         	if($(this).attr("id")=="texto_"+i){
         		$(this).val("");								
         	}
         	});
         }  

      });
      //Edge binding end

   })("calc");
   //Edge symbol end:'calc'

})(jQuery, AdobeEdge, "EDGE-3785112");